import request from "@/service/request";
import {
  KEY_SHOW_MESSAGE,
  KEY_NO_ERROR_TIP,
  KEY_NO_LOADING,
  KEY_M_CONTENT_TYPE,
  KEY_NO_LOAD_TOKEN
} from "@/service/request";

// 开发代理
export function devProxy (url) {
  return process.env.VUE_APP_DEV_PROXY + "/api" + url;
}

/////////////////////  业务逻辑:thunk包装调用  /////////////////////

// 登录
export function loginIn (params = {}) {
  return request.doGet(
    devProxy("/codeForAuth"),
    params,
    /** 默认值**/ {
      [KEY_SHOW_MESSAGE]: false,
      [KEY_NO_ERROR_TIP]: false,
      [KEY_NO_LOADING]: true,
      [KEY_M_CONTENT_TYPE]: false,
      [KEY_NO_LOAD_TOKEN]: true
    }
  );
}

// 登出
export function loginOut () {
  return request.doGet(
    devProxy("/loginOut"),
    {},
    {},
    /** 默认值**/ {
      [KEY_SHOW_MESSAGE]: false,
      [KEY_NO_ERROR_TIP]: false,
      [KEY_NO_LOADING]: false,
      [KEY_M_CONTENT_TYPE]: false
    }
  );
}

// 获取组织部门架构
export function queryDepartments (params = {}) {
  return request.doGet(devProxy("/departments"), params, {
    [KEY_NO_LOADING]: true,
    [KEY_NO_LOAD_TOKEN]: true
  });
}

